Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.security.torque.om
Class BaseTurbinePermission

    java.lang.Object
      org.apache.torque.om.BaseObject
          org.apache.turbine.services.security.torque.om.BaseTurbinePermission

All Implemented Interfaces:
  Serializable, org.apache.torque.om.Persistent

Direct Known Subclasses:
  TurbinePermission

    public abstract class BaseTurbinePermission

extends org.apache.torque.om.BaseObject

This class was autogenerated by Torque on: [Thu Jun 23 17:25:46 CEST 2011] You should not use this class directly. It should not even be extended all references should be to TurbinePermission

See Also:
  Serialized Form

Field Summary
`protected List<TurbineRolePermission>` | `collTurbineRolePermissions` Collection to store aggregation of collTurbineRolePermissions

Fields inherited from class org.apache.torque.om.BaseObject
`NEW_ID`

Constructor Summary
`BaseTurbinePermission()`

Method Summary
`void` | `addTurbineRolePermission(TurbineRolePermission l)` Method called to associate a TurbineRolePermission object to this object through the TurbineRolePermission foreign key attribute
`void` | `addTurbineRolePermission(TurbineRolePermission l, Connection con)` Method called to associate a TurbineRolePermission object to this object through the TurbineRolePermission foreign key attribute using connection.
`TurbinePermission` | `copy()` Makes a copy of this object.
`TurbinePermission` | `copy(boolean deepcopy)` Makes a copy of this object.
`TurbinePermission` | `copy(boolean deepcopy, Connection con)` Makes a copy of this object using connection.
`TurbinePermission` | `copy(Connection con)` Makes a copy of this object using connection.
`protected TurbinePermission` | `copyInto(TurbinePermission copyObj)` Fills the copyObj with the contents of this object.
`protected TurbinePermission` | `copyInto(TurbinePermission copyObj, boolean deepcopy)` Fills the copyObj with the contents of this object.
`protected TurbinePermission` | `copyInto(TurbinePermission copyObj, boolean deepcopy, Connection con)` Fills the copyObj with the contents of this object using connection.
`protected TurbinePermission` | `copyInto(TurbinePermission copyObj, Connection con)` Fills the copyObj with the contents of this object using connection.
`Object` | `getByName(String name)` Retrieves a field from the object by field (Java) name passed in as a String.
`Object` | `getByPeerName(String name)` Retrieves a field from the object by name passed in as a String.
`Object` | `getByPosition(int pos)` Retrieves a field from the object by Position as specified in the xml schema.
`static List<String>` | `getFieldNames()` Generate a list of field names.
`String` | `getName()` Get the Name
`TurbinePermissionPeer` | `getPeer()` returns a peer instance associated with this om.
`int` | `getPermissionId()` Get the PermissionId
`org.apache.torque.om.ObjectKey` | `getPrimaryKey()` returns an id that differentiates this object from others of its class.
`org.apache.torque.map.TableMap` | `getTableMap()` Retrieves the TableMap object related to this Table data without compiler warnings of using getPeer().getTableMap().
`List<TurbineRolePermission>` | `getTurbineRolePermissions()` If this collection has already been initialized, returns the collection.
`List<TurbineRolePermission>` | `getTurbineRolePermissions(Connection con)` If this collection has already been initialized, returns the collection.
`List<TurbineRolePermission>` | `getTurbineRolePermissions(org.apache.torque.util.Criteria criteria)` If this collection has already been initialized with an identical criteria, it returns the collection.
`List<TurbineRolePermission>` | `getTurbineRolePermissions(org.apache.torque.util.Criteria criteria, Connection con)` If this collection has already been initialized with an identical criteria, it returns the collection.
`protected List<TurbineRolePermission>` | `getTurbineRolePermissionsJoinTurbinePermission(org.apache.torque.util.Criteria criteria)` If this collection has already been initialized with an identical criteria, it returns the collection.
`protected List<TurbineRolePermission>` | `getTurbineRolePermissionsJoinTurbineRole(org.apache.torque.util.Criteria criteria)` If this collection has already been initialized with an identical criteria, it returns the collection.
`protected void` | `initTurbineRolePermissions()` Temporary storage of collTurbineRolePermissions to save a possible db hit in the event objects are add to the collection, but the complete collection is never requested.
`void` | `save()` Stores the object in the database.
`void` | `save(Connection con)` Stores the object in the database.
`void` | `save(String dbName)` Stores the object in the database.
`boolean` | `setByName(String name, Object value)` Set a field in the object by field (Java) name.
`boolean` | `setByPeerName(String name, Object value)` Set field values by Peer Field Name
`boolean` | `setByPosition(int position, Object value)` Set field values by its position (zero based) in the XML schema.
`void` | `setName(String v)` Set the value of Name
`void` | `setPermissionId(int v)` Set the value of PermissionId
`void` | `setPrimaryKey(org.apache.torque.om.ObjectKey key)` Set the PrimaryKey using ObjectKey.
`void` | `setPrimaryKey(String key)` Set the PrimaryKey using a String.
`String` | `toString()`

Methods inherited from class org.apache.torque.om.BaseObject
`equals, equals, getLog, hashCode, isModified, isNew, resetModified, setModified, setNew, setPrimaryKey`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### collTurbineRolePermissions

    protected List<TurbineRolePermission> collTurbineRolePermissions

  Collection to store aggregation of collTurbineRolePermissions

Constructor Detail

### BaseTurbinePermission

    public BaseTurbinePermission()

Method Detail

### getPermissionId

    public int getPermissionId()

  Get the PermissionId

  Returns:
    int

### setPermissionId

    public void setPermissionId(int v)
                         throws org.apache.torque.TorqueException

  Set the value of PermissionId

  Parameters:
    `v` - new value
  Throws:
    `org.apache.torque.TorqueException`

### getName

    public String getName()

  Get the Name

  Returns:
    String

### setName

    public void setName(String v)

  Set the value of Name

  Parameters:
    `v` - new value

### initTurbineRolePermissions

    protected void initTurbineRolePermissions()

  Temporary storage of collTurbineRolePermissions to save a possible db hit in the event objects are add to the collection, but the complete collection is never requested.

### addTurbineRolePermission

    public void addTurbineRolePermission(TurbineRolePermission l)
                                  throws org.apache.torque.TorqueException

  Method called to associate a TurbineRolePermission object to this object through the TurbineRolePermission foreign key attribute

  Parameters:
    `l` - TurbineRolePermission
  Throws:
    `org.apache.torque.TorqueException`

### addTurbineRolePermission

    public void addTurbineRolePermission(TurbineRolePermission l,
                                         Connection con)
                                  throws org.apache.torque.TorqueException

  Method called to associate a TurbineRolePermission object to this object through the TurbineRolePermission foreign key attribute using connection.

  Parameters:
    `l` - TurbineRolePermission
  Throws:
    `org.apache.torque.TorqueException`

### getTurbineRolePermissions

    public List<TurbineRolePermission> getTurbineRolePermissions()
                                                          throws org.apache.torque.TorqueException

  If this collection has already been initialized, returns the collection. Otherwise returns the results of getTurbineRolePermissions(new Criteria())

  Returns:
    the collection of associated objects
  Throws:
    `org.apache.torque.TorqueException`

### getTurbineRolePermissions

    public List<TurbineRolePermission> getTurbineRolePermissions(org.apache.torque.util.Criteria criteria)
                                                          throws org.apache.torque.TorqueException

  If this collection has already been initialized with an identical criteria, it returns the collection. Otherwise if this TurbinePermission has previously been saved, it will retrieve related TurbineRolePermissions from storage. If this TurbinePermission is new, it will return an empty collection or the current collection, the criteria is ignored on a new object.

  Throws:
    `org.apache.torque.TorqueException`

### getTurbineRolePermissions

    public List<TurbineRolePermission> getTurbineRolePermissions(Connection con)
                                                          throws org.apache.torque.TorqueException

  If this collection has already been initialized, returns the collection. Otherwise returns the results of getTurbineRolePermissions(new Criteria(),Connection) This method takes in the Connection also as input so that referenced objects can also be obtained using a Connection that is taken as input

  Throws:
    `org.apache.torque.TorqueException`

### getTurbineRolePermissions

    public List<TurbineRolePermission> getTurbineRolePermissions(org.apache.torque.util.Criteria criteria,
                                                                 Connection con)
                                                          throws org.apache.torque.TorqueException

  If this collection has already been initialized with an identical criteria, it returns the collection. Otherwise if this TurbinePermission has previously been saved, it will retrieve related TurbineRolePermissions from storage. If this TurbinePermission is new, it will return an empty collection or the current collection, the criteria is ignored on a new object. This method takes in the Connection also as input so that referenced objects can also be obtained using a Connection that is taken as input

  Throws:
    `org.apache.torque.TorqueException`

### getTurbineRolePermissionsJoinTurbineRole

    protected List<TurbineRolePermission> getTurbineRolePermissionsJoinTurbineRole(org.apache.torque.util.Criteria criteria)
                                                                            throws org.apache.torque.TorqueException

  If this collection has already been initialized with an identical criteria, it returns the collection. Otherwise if this TurbinePermission is new, it will return an empty collection; or if this TurbinePermission has previously been saved, it will retrieve related TurbineRolePermissions from storage. This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in TurbinePermission.

  Throws:
    `org.apache.torque.TorqueException`

### getTurbineRolePermissionsJoinTurbinePermission

    protected List<TurbineRolePermission> getTurbineRolePermissionsJoinTurbinePermission(org.apache.torque.util.Criteria criteria)
                                                                                  throws org.apache.torque.TorqueException

  If this collection has already been initialized with an identical criteria, it returns the collection. Otherwise if this TurbinePermission is new, it will return an empty collection; or if this TurbinePermission has previously been saved, it will retrieve related TurbineRolePermissions from storage. This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in TurbinePermission.

  Throws:
    `org.apache.torque.TorqueException`

### getFieldNames

    public static List<String> getFieldNames()

  Generate a list of field names.

  Returns:
    a list of field names

### getByName

    public Object getByName(String name)

  Retrieves a field from the object by field (Java) name passed in as a String.

  Overrides:
    `getByName` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `name` - field name
  Returns:
    value

### setByName

    public boolean setByName(String name,
                             Object value)
                      throws org.apache.torque.TorqueException,
                             IllegalArgumentException

  Set a field in the object by field (Java) name.

  Overrides:
    `setByName` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `name` - field name
    `value` - field value
  Returns:
    True if value was set, false if not (invalid name / protected field).
  Throws:
    `IllegalArgumentException` - if object type of value does not match field object type.
    `org.apache.torque.TorqueException` - If a problem occurs with the set[Field] method.

### getByPeerName

    public Object getByPeerName(String name)

  Retrieves a field from the object by name passed in as a String. The String must be one of the static Strings defined in this Class' Peer.

  Overrides:
    `getByPeerName` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `name` - peer name
  Returns:
    value

### setByPeerName

    public boolean setByPeerName(String name,
                                 Object value)
                          throws org.apache.torque.TorqueException,
                                 IllegalArgumentException

  Set field values by Peer Field Name

  Overrides:
    `setByPeerName` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `name` - field name
    `value` - field value
  Returns:
    True if value was set, false if not (invalid name / protected field).
  Throws:
    `IllegalArgumentException` - if object type of value does not match field object type.
    `org.apache.torque.TorqueException` - If a problem occurs with the set[Field] method.

### getByPosition

    public Object getByPosition(int pos)

  Retrieves a field from the object by Position as specified in the xml schema. Zero-based.

  Overrides:
    `getByPosition` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `pos` - position in xml schema
  Returns:
    value

### setByPosition

    public boolean setByPosition(int position,
                                 Object value)
                          throws org.apache.torque.TorqueException,
                                 IllegalArgumentException

  Set field values by its position (zero based) in the XML schema.

  Overrides:
    `setByPosition` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `position` - The field position
    `value` - field value
  Returns:
    True if value was set, false if not (invalid position / protected field).
  Throws:
    `IllegalArgumentException` - if object type of value does not match field object type.
    `org.apache.torque.TorqueException` - If a problem occurs with the set[Field] method.

### save

    public void save()
              throws Exception

  Stores the object in the database. If the object is new, it inserts it; otherwise an update is performed.

  Specified by:
    `save` in interface `org.apache.torque.om.Persistent`
  Specified by:
    `save` in class `org.apache.torque.om.BaseObject`
  Throws:
    `Exception`

### save

    public void save(String dbName)
              throws org.apache.torque.TorqueException

  Stores the object in the database. If the object is new, it inserts it; otherwise an update is performed. Note: this code is here because the method body is auto-generated conditionally and therefore needs to be in this file instead of in the super class, BaseObject.

  Specified by:
    `save` in interface `org.apache.torque.om.Persistent`
  Specified by:
    `save` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `dbName` -
  Throws:
    `org.apache.torque.TorqueException`

### save

    public void save(Connection con)
              throws org.apache.torque.TorqueException

  Stores the object in the database. If the object is new, it inserts it; otherwise an update is performed. This method is meant to be used as part of a transaction, otherwise use the save() method and the connection details will be handled internally

  Specified by:
    `save` in interface `org.apache.torque.om.Persistent`
  Specified by:
    `save` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `con` -
  Throws:
    `org.apache.torque.TorqueException`

### setPrimaryKey

    public void setPrimaryKey(org.apache.torque.om.ObjectKey key)
                       throws org.apache.torque.TorqueException

  Set the PrimaryKey using ObjectKey.

  Specified by:
    `setPrimaryKey` in interface `org.apache.torque.om.Persistent`
  Overrides:
    `setPrimaryKey` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `key` - permissionId ObjectKey
  Throws:
    `org.apache.torque.TorqueException`

### setPrimaryKey

    public void setPrimaryKey(String key)
                       throws org.apache.torque.TorqueException

  Set the PrimaryKey using a String.

  Specified by:
    `setPrimaryKey` in interface `org.apache.torque.om.Persistent`
  Overrides:
    `setPrimaryKey` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `key` -
  Throws:
    `org.apache.torque.TorqueException`

### getPrimaryKey

    public org.apache.torque.om.ObjectKey getPrimaryKey()

  returns an id that differentiates this object from others of its class.

  Specified by:
    `getPrimaryKey` in interface `org.apache.torque.om.Persistent`
  Overrides:
    `getPrimaryKey` in class `org.apache.torque.om.BaseObject`

### copy

    public TurbinePermission copy()
                           throws org.apache.torque.TorqueException

  Makes a copy of this object. It creates a new object filling in the simple attributes. It then fills all the association collections and sets the related objects to isNew=true.

  Throws:
    `org.apache.torque.TorqueException`

### copy

    public TurbinePermission copy(Connection con)
                           throws org.apache.torque.TorqueException

  Makes a copy of this object using connection. It creates a new object filling in the simple attributes. It then fills all the association collections and sets the related objects to isNew=true.

  Parameters:
    `con` - the database connection to read associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### copy

    public TurbinePermission copy(boolean deepcopy)
                           throws org.apache.torque.TorqueException

  Makes a copy of this object. It creates a new object filling in the simple attributes. If the parameter deepcopy is true, it then fills all the association collections and sets the related objects to isNew=true.

  Parameters:
    `deepcopy` - whether to copy the associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### copy

    public TurbinePermission copy(boolean deepcopy,
                                  Connection con)
                           throws org.apache.torque.TorqueException

  Makes a copy of this object using connection. It creates a new object filling in the simple attributes. If the parameter deepcopy is true, it then fills all the association collections and sets the related objects to isNew=true.

  Parameters:
    `deepcopy` - whether to copy the associated objects.
    `con` - the database connection to read associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### copyInto

    protected TurbinePermission copyInto(TurbinePermission copyObj)
                                  throws org.apache.torque.TorqueException

  Fills the copyObj with the contents of this object. The associated objects are also copied and treated as new objects.

  Parameters:
    `copyObj` - the object to fill.
  Throws:
    `org.apache.torque.TorqueException`

### copyInto

    protected TurbinePermission copyInto(TurbinePermission copyObj,
                                         Connection con)
                                  throws org.apache.torque.TorqueException

  Fills the copyObj with the contents of this object using connection. The associated objects are also copied and treated as new objects.

  Parameters:
    `copyObj` - the object to fill.
    `con` - the database connection to read associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### copyInto

    protected TurbinePermission copyInto(TurbinePermission copyObj,
                                         boolean deepcopy)
                                  throws org.apache.torque.TorqueException

  Fills the copyObj with the contents of this object. If deepcopy is true, The associated objects are also copied and treated as new objects.

  Parameters:
    `copyObj` - the object to fill.
    `deepcopy` - whether the associated objects should be copied.
  Throws:
    `org.apache.torque.TorqueException`

### copyInto

    protected TurbinePermission copyInto(TurbinePermission copyObj,
                                         boolean deepcopy,
                                         Connection con)
                                  throws org.apache.torque.TorqueException

  Fills the copyObj with the contents of this object using connection. If deepcopy is true, The associated objects are also copied and treated as new objects.

  Parameters:
    `copyObj` - the object to fill.
    `deepcopy` - whether the associated objects should be copied.
    `con` - the database connection to read associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### getPeer

    public TurbinePermissionPeer getPeer()

  returns a peer instance associated with this om. Since Peer classes are not to have any instance attributes, this method returns the same instance for all member of this class. The method could therefore be static, but this would prevent one from overriding the behavior.

### getTableMap

    public org.apache.torque.map.TableMap getTableMap()
                                               throws org.apache.torque.TorqueException

  Retrieves the TableMap object related to this Table data without compiler warnings of using getPeer().getTableMap().

  Overrides:
    `getTableMap` in class `org.apache.torque.om.BaseObject`
  Returns:
    The associated TableMap object.
  Throws:
    `org.apache.torque.TorqueException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.